API referenceConfiguration
List Prompts
Returns the prompts configured in a project with their metadata and associations (persona, offering, topic, tags). Use the returned IDs to filter analytics and response endpoints.
Returns the prompts configured in a project with their metadata and associations (persona, offering, topic, tags). Use the returned IDs to filter analytics and response endpoints.
Path Parameters
projectId*string
Project ID (see List Projects)
Query Parameters
page?integer
Page number (1-indexed, default: 1)
Range
1 <= valueDefault
1limit?integer
Items per page (default: 50, max: 1000)
Range
1 <= value <= 1000Default
50Response Body
application/json
curl -X GET "https://example.com/projects/string/prompts"{ "data": [ { "promptId": "string", "text": "string", "language": "en", "country": "US", "type": "string", "isBranded": true, "isPaused": true, "origin": "string", "keywords": [ "string" ], "personaId": "string", "offeringId": "string", "topicId": "string", "tagIds": [ "string" ], "monitorId": "string", "createdAt": "string", "updatedAt": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0 }}